JNLP API Reference 1.0: Interface PrintService

Package | Class | Tree | Index

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jnlp
Interface PrintService

public interface PrintService

`PrintService` provides methods for access to printing functions, even for applications that are running in the untrusted execution environment. Using this service, an application can submit a print job to the JNLP client. The client can then display this request to the user, and if accepted, queue the request to the printer.

Version:
  1.0

Method Summary
`java.awt.print.PageFormat` | `getDefaultPage()` Creates a new PageFormat instance and sets it to the default size and orientation.
`boolean` | `print(java.awt.print.Pageable document)` Prints a document using the given `Pageable` object
`boolean` | `print(java.awt.print.Printable painter)` Prints a document using the given `Printable` object
`java.awt.print.PageFormat` | `showPageFormatDialog(java.awt.print.PageFormat page)` Displays a dialog that allows modification of a `PageFormat` instance.

Method Detail

### getDefaultPage

    public java.awt.print.PageFormat getDefaultPage()

  Creates a new PageFormat instance and sets it to the default size and orientation.
  Returns:
    a `PageFormat` set to the default size and orientation.

### showPageFormatDialog

    public java.awt.print.PageFormat showPageFormatDialog(java.awt.print.PageFormat page)

  Displays a dialog that allows modification of a `PageFormat` instance. The `page` argument is used to initialize controls in the page setup dialog. If the user cancels the dialog then this method returns the original `page` object unmodified. If the user okays the dialog then this method returns a new `PageFormat` object with the indicated changes. In either case, the original `page` object is not modified.
  Parameters:
    `page` - the default `PageFormat` presented to the user for modification.
  Returns:
    the original `page` object if the dialog is cancelled; a new `PageFormat` object containing the format indicated by the user if the dialog is acknowledged.

### print

    public boolean print(java.awt.print.Pageable document)

  Prints a document using the given `Pageable` object
  Parameters:
    `document` - the pages to be printed. It can not be null.
  Returns:
    `true` if printing was successfull, `false` otherwise.

### print

    public boolean print(java.awt.print.Printable painter)

  Prints a document using the given `Printable` object
  Parameters:
    `painter` - the `Printable` called to render each page of the document.
  Returns:
    `true` if printing was successfull, `false` otherwise.

Package | Class | Tree | Index

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2001-2002 Sun Microsystems, Inc. All Rights Reserved